package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/message"
	"hongze/hongze_yb/middleware"
)

func InitMessage(r *gin.Engine)  {
	rGroup := r.Group("/api/message").Use(middleware.Token())
	rGroup.GET("/list", message.List)
	rGroup.POST("/batch/read", message.BatchRead)
	rGroup.POST("/read", message.SingleRead)
	rGroup.POST("/delete", message.SingleDelete)
}
